<template>
    <div>
        <TacheForm v-bind:tache="tache" v-bind:projects="projects" v-on:submit="submit" v-on:back="back"></TacheForm>
    </div>
</template>

<script>
import TacheForm from './Tache.Form.vue';
import { editEvent } from '@/api/events.service.js';
export default {
    components: {
        TacheForm
    },
    computed: {
        projects() {
            return this.$store.getters.getAllProjects;
        },
        tache(){
            return this.$store.getters.getCurrentEvent;
        }
    },
    created() {
        this.$store.dispatch('setAllProjects');
        this.$store.dispatch('setEventById',this.$route.params.eventId);
    },
    methods: {
        submit() {
            editEvent(this.tache._id, this.tache).then(() => {
                this.$router.go(-1);
            });
        },
        back() {
            this.$router.go(-1);
        }
    }

}
</script>

<style>

</style>
